/*
Пример использования
Получение информации о списке всех ресурсных группах к которым есть доступ
*/
#Расскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером

/* terraform {
  required_providers {
    decort = {
      version = "<VERSION>"
      source  = "basis/decort/decort"
    }
  }
} */

provider "decort" {
  authenticator = "oauth2"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

data "decort_rg_list" "rg_list" {
  #отображать удаленные ресурсные группы или нет
  #необязательный параметр
  #тип - булевый
  includedeleted = false
  
  #номер страницы
  #необязательный параметр
  #тип - число
  page = 1
  
  #размер страницы
  #необязательный параметр
  #тип - число
  size = 2
}

output "output" {
  value = data.decort_rg_list.rg_list
}
