#Расскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      source = "basis/decort/decort"
      version = "<VERSION>"
    }
  }
}
*/

provider "decort" {
  authenticator  = "oauth2"
  oauth2_url     = "https://sso.digitalenergy.online"
  controller_url = "https://mr4.digitalenergy.online"
  app_id         = ""
  app_secret     = ""
}

resource "decort_flipgroup" "fg" {
  # ID аккаунта
  # Обязательный параметр
  # int
  account_id = 999

  # Наименование Flipgroup
  # Обязательный параметр
  # string
  name = "flipgroup_name"

  # Тип сети (EXTNET, ViNS)
  # Обязательный параметр
  # string
  net_type = "EXTNET"

  # ID сети
  # Обязательный параметр
  # int
  net_id = 13

  # Тип клиентов (в данный момент поддерживается только тип 'compute')
  # Обязательный параметр
  # string
  client_type = "compute"

  # IP-адрес
  # Опциональный параметр
  # string
  ip = "127.0.0.1"

  # Список клиентов, прикрепленных к флипгруппе
  # Опциональный параметр
  # []int
  client_ids = [11269]

  # Описание флипгруппы
  # Опциональный параметр
  # string
  desc = "CHANGED"
}

output "fg_out" {
  value = decort_flipgroup.fg
}
