## Version 4.3.0

## Features
- CloudBroker (requires admin privileges):
	- Created "decort_cb_extnet" resource - used to create and manage Extnet instances
	- Created "decort_cb_extnet" data source - used to read information about Extnet instance
	- Created "decort_cb_extnet_list" data source - used to read information about multiple Extnet instances
- CloudAPI:
	- Updated resource_compute: added "custom_fields" and "with_default_vins" parameters:
		- Set "with_default_vins" to false to create compute without any attached networks. This parameter is ignored if any network block is specified
	- Added ability to create stateless computes (SVA_KVM_X86)
	- Created "decort_k8ci_list" data source - used to read information about available K8CI instances
	- Updated resources && data sources to platform version 3.8.7, which includes:
		- Added new optional fields to all list data sources, used to filter results, which are:
			- decort_account_list
			- decort_bservice_list
			- decort_kvmvm_list
			- decort_disk_list
			- decort_extnet_list
			- decort_flipgroup_list
			- decort_image_list
			- decort_k8s_list
			- decort_k8s_list_deleted
			- decort_rg_list
			- decort_vins_list
			- decort_account_deleted_list
			- decort_account_computes_list
			- decort_account_disks_list
			- decort_account_flipgroups_list
			- decort_account_rg_list
			- decort_account_vins_list
			- decort_disk_list_deleted
			- decort_disk_list_unattached
			- decort_lb_list
			- decort_lb_list_deleted
			- decort_rg_list_computes
			- decort_rg_list_deleted
			- decort_rg_list_lb
			- decort_rg_list_pfw
			- decort_rg_list_vins
			- decort_vins_list_deleted
		- Added "cu_dm" field to resgroup and account resource limits and consumed units
		- Added "reference_id" field to compute snapshots model
		- Added "stateless_sep_id" and "stateless_sep_type" fields to compute models
- Misc:
	- Added darwin_arm64, linux_arm64 as release build targets
	- Every release starting from version 4.3.0 will have installers included in the archive
		- install.sh - used on linux, darwin and bsd systems
		- install.bat - used on windows machines
	- Updated samples
	- Updated README
